> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete event

> Deletes an [event object](/api/customer-chat/v3.7/data-structures#events). Deleted events are hidden from all Customer Chat API responses but remain visible via the Agent Chat API.

In the Agent Chat API, the Delete Event method replaces the original event with a Deleted Event for agents with the `normal` role. Agents with higher roles (`administrator`, `viceowner`, and `owner`) see the original event with a `deleted` flag.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/delete_event
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/delete_event:
    post:
      tags:
        - Events
      summary: Delete event
      description: >-
        Deletes an [event
        object](/api/customer-chat/v3.7/data-structures#events). Deleted events
        are hidden from all Customer Chat API responses but remain visible via
        the Agent Chat API.


        In the Agent Chat API, the Delete Event method replaces the original
        event with a Deleted Event for agents with the `normal` role. Agents
        with higher roles (`administrator`, `viceowner`, and `owner`) see the
        original event with a `deleted` flag.
      operationId: delete-event
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteEventRequest'
            example:
              chat_id: PJ0MRSHTDG
              thread_id: K600PKZON8
              event_id: K600PKZON8_4
      responses:
        '200':
          description: Event deleted.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    DeleteEventRequest:
      type: object
      required:
        - chat_id
        - thread_id
        - event_id
      properties:
        chat_id:
          type: string
          description: The ID of the chat that you want to delete an event from.
        thread_id:
          type: string
          description: The ID of the thread that you want to delete an event from.
        event_id:
          type: string
          description: The ID of the event that you want to delete.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````